import Vue from 'vue'

/**
 * 最小化列表
 */
class MiniUtil {
  /**
   * 添加最小化内容
   * @param data
   */
  public static addMini(data: any) {
    Vue.prototype.$MiniList.push(data)
  }

  /**
   * 删除最小化内容
   * @param type
   */
  public static delMini(type: string) {
    const list = Vue.prototype.$MiniList
    if (list) {
      list.forEach((item: any, index: any) => {
        if (item.type === type) {
          Vue.prototype.$MiniList.splice(index, 1)
        }
      })
    }
  }

  /**
   * 判断传入的类型是否最小化显示
   * @param type
   */
  public static isHasMini(type: string) {
    let data = false
    const list = Vue.prototype.$MiniList
    list.forEach((item: any) => {
      if (item.type === type) {
        data = true
      }
    })
    return data
  }
}

export default MiniUtil
